#!/bin/sh

test -n "$1" -a -x $1 -a -n "$2" -a -d $2 || {
	echo "Usage $0 path-to-rkafpack input-dir > out.img" >&2
	exit 1
}

case ${0%/*} in
	/*)
		rkafpack=$1
	;;*)
		case $PWD in /)
			rkafpack=/${0%/*}/$1
		;;*)
			rkafpack=$PWD/${0%/*}/$1
		;;esac
	;;
esac
	
cd $2 && ${rkafpack} \
FIRMWARE_VER:0.0.0 \
MACHINE_MODEL:$(sed -n 's/[[:space:]]*$//;/^[[:space:]]*#/d;/^$/d;0,/^BEGIN MACHINE_INFO$/d;/^END$/,$d;s/^[[:space:]]*machine_model=//p' HWDEF) \
MANUFACTURER:$(sed -n 's/[[:space:]]*$//;/^[[:space:]]*#/d;/^$/d;0,/^BEGIN MACHINE_INFO$/d;/^END$/,$d;s/^[[:space:]]*manufacturer=//p' HWDEF) \
$(IFS="
"
for i in $(sed 's/[[:space:]]*$//;/^[[:space:]]*#/d;/^$/d' package-file);do
	unset IFS
	set $i
	echo ${1}:${2}$(sed -n 's/[[:space:]]*$//;/^[[:space:]]*#/d;/^$/d;0,/^BEGIN PARTITIONS$/d;/^END$/,$d;s/^[[:space:]]*'"${1}"'[[:space:]]\+\(0x[a-fA-F0-9]\+\).*/:0x0@\1/p' HWDEF)
done)
