; Archos-Kit.nsi
;
; Will install Archos-Kit.nsi into a directory that the user selects

;--------------------------------

; The name of the installer
Name "Archos-Kit"

; The file to write
OutFile "archos-kit.exe"

; The default installation directory
InstallDir $DESKTOP\archos-kit

;--------------------------------

; Pages

Page components
Page directory
Page instfiles

;--------------------------------

; The stuff to install
Section "archos-kit (required)"

  SectionIn RO

  SetOutPath $INSTDIR

  File "afptool.sh"
  File "archos-kit.nsi"
  File "boot-debug-a70cht.patch"
  File "boot-market-a70cht.patch"
  File "ChangeLog"
  File "cramfs-fixes.patch"
  File "Makefile"
  File "make-a70cht.bat"
  File "md5sums.asc"
  File "README"
  File "README-Windows.txt"
  File "rkflashtool.c"
  File "system-a40cht.tgz"

  Call MakeSureIGotCygwin

SectionEnd

;--------------------------------

Function MakeSureIGotCygwin

  Call ConnectInternet ;Make an internet connection (if no connection available)

  NSISdl::download http://www.cygwin.com/setup.exe $INSTDIR\setup.exe
  Pop $0
  StrCmp $0 success success
    SetDetailsView show
    DetailPrint "download failed: $0"
    Abort
  success:
    ; http://ftp.gwdg.de/pub/linux/sources.redhat.com/cygwin/ or http://cygwin.cict.fr/
    ExecWait '"$INSTDIR\setup.exe" -q -n -N -d -D -s http://cygwin.cict.fr/ -R "$INSTDIR" -P "wget,make,gcc,patch,unzip,zlib-devel"'
    ExecWait '"$INSTDIR\setup.exe" -q -n -N -d -L -s http://cygwin.cict.fr/ -R "$INSTDIR" -P "wget,make,gcc,patch,unzip,zlib-devel"'

FunctionEnd

Function ConnectInternet

  Push $R0
    
    ClearErrors
    Dialer::AttemptConnect
    IfErrors noie3
    
    Pop $R0
    StrCmp $R0 "online" connected
      MessageBox MB_OK|MB_ICONSTOP "Cannot connect to the internet."
      Quit
    
    noie3:
  
    ; IE3 not installed
    MessageBox MB_OK|MB_ICONINFORMATION "Please connect to the internet now."
    
    connected:
  
  Pop $R0
  
FunctionEnd
